#
# This macro demonstrates the bug with the CMAKE_CURRENT_LIST_LINE variable... 
# Expected: The line number of the scope at the bottom of the call stack (here line 4 of CMakeLists.txt
# Actual: Line 7, that is the line number where the variable value was requested
#
MACRO(MY_DEBUG_MACRO)
  MESSAGE(STATUS "B - I'm reporting file ${CMAKE_CURRENT_LIST_FILE} at line ${CMAKE_CURRENT_LIST_LINE}")
ENDMACRO()
